package ch.phoenix.oss.quarkus.commons.clock;

import java.time.Instant;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.ZonedDateTime;

public interface ClockService {

    Instant instant();

    long currentTimeMillis();

    LocalDate localDate();

    LocalDateTime localDateTime();

    ZonedDateTime zonedDateTime();
}
