package ch.phoenix.oss.quarkus.commons.tracing;

public interface TracingService {

    void clearAll();

    void trace(String key, Object value);

    String getActor();

    String getRequestPathRaw();

    String getRequestMethod();

    String getRequestId();

    String getTraceId();

    String getSpanId();

    String getClientIp();

    String getSchedulerJob();
}
