package ch.phoenix.oss.quarkus.commons.tracing.resource;

import jakarta.ws.rs.GET;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.MediaType;

@Path("/leading-and-trailing/")
@Produces(MediaType.TEXT_PLAIN)
public class LeadingAndTrailingResource {

    @GET
    @Path("/")
    public String root() {
        return "root";
    }

    @GET
    @Path("/{param}/")
    public String singleParam(String param) {
        return param;
    }

    @GET
    @Path("/{param}/{param2}/")
    public String multiParam(String param, String param2) {
        return param + "/" + param2;
    }
}
