package ch.phoenix.oss.quarkus.commons.audit;

import jakarta.persistence.Entity;
import jakarta.persistence.Table;
import org.hibernate.envers.Audited;

@Entity
@Audited
@Table(name = "test_entity")
public class TestEntity extends AuditedPanacheEntity {

    public String something;

    public TestEntity() {}

    public TestEntity(String something) {
        this.something = something;
    }

    public static TestEntity findBySomething(String something) {
        return find("something", something).singleResult();
    }
}
