package ch.phoenix.oss.quarkus.commons.clock;

import io.quarkus.arc.DefaultBean;
import jakarta.enterprise.context.ApplicationScoped;
import jakarta.enterprise.inject.Produces;
import java.time.Clock;

class ClockProducer {

    @Produces
    @DefaultBean
    @ApplicationScoped
    Clock produceClock() {
        return Clock.systemDefaultZone();
    }
}
